"""Setup script for the GÉANT Service Orchestrator."""

from setuptools import find_packages, setup

setup(
    name="geant-service-orchestrator",
    version="2.5",
    author="GÉANT Orchestration and Automation Team",
    author_email="goat@geant.org",
    description="GÉANT Service Orchestrator",
    url="https://gitlab.software.geant.org/goat/gap/geant-service-orchestrator",
    packages=find_packages(),
    install_requires=[
        "orchestrator-core==2.2.1",
        "requests==2.31.0",
        "infoblox-client~=0.6.0",
        "pycountry==23.12.11",
        "pynetbox==7.3.3",
        "celery-redbeat==2.2.0",
        "celery==5.3.6",
        "azure-identity==1.16.0",
        "msgraph-sdk==1.2.0",
    ],
    include_package_data=True,
)
